## ros-kinetic-micros-swarm-framework 0.0.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(micros_swarm_framework)
find_package(catkin REQUIRED)
catkin_metapackage()
