=== debian/changelog ===
ros-kinetic-micros-swarm-framework (0.0.17-2xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Xuefeng Chang <changxuefengcn@163.com>  Fri, 15 Dec 2017 03:13:52 -0000

ros-kinetic-micros-swarm-framework (0.0.15-2xenial) xenial; urgency=high

  * release to kinetic rosdistro
  * repair bugs in getParam
  * repair bugs in opensplice dds publisher and subscriber
  * repair bugs in MsgQueueManager
  * complete MsgQueueManager class
  * complete msg queue cache

 -- Xuefeng Chang <changxuefengcn@163.com>  Fri, 11 Nov 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.14-2xenial) xenial; urgency=high

  * complete neighbor communication
  * simplify the user interface functions
  * improve the security of multi-threading
  * limit communication range
  * add PacketParser class
  * performance optimization
  * optimize the RuntimePlatformKernel

 -- Xuefeng Chang <changxuefengcn@163.com>  Thu, 08 Sep 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.13-2xenial) xenial; urgency=high

  * improve neighbor communication mechanism, add Broadcaster and Listener class
  * add Application class, which is convenient for users to develop app
  * change cmake file
  * change README file
  * repair bugs in app2

 -- Xuefeng Chang <changxuefengcn@163.com>  Mon, 15 Aug 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.12-2xenial) xenial; urgency=high

  * reconstructe the whole architecture using nodelet to improve performance
  * is extensible to Opensplice DDS
  * add neighbor communication mechanism
  * standard the interface definition
  * repair bugs in cmake file

 -- Xuefeng Chang <changxuefengcn@163.com>  Sun, 17 Jul 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.11-2xenial) xenial; urgency=high

  * repair bugs in cmake file

 -- Xuefeng Chang <changxuefengcn@163.com>  Sun, 17 Jul 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.10-2xenial) xenial; urgency=high

  * reconstructe the whole architecture using nodelet to improve performance
  * is extensible to Opensplice DDS
  * add neighbor communication mechanism
  * standard the interface definition

 -- Xuefeng Chang <changxuefengcn@163.com>  Sun, 17 Jul 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.9-2xenial) xenial; urgency=high

  * Add another experiment which is called "Flocking"
  * Add linear velocity in the Base and NeighborBase classes
  * Add the breakupSwarm function in the "swarm.h" header

 -- Xuefeng Chang <changxuefengcn@163.com>  Wed, 06 Jul 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.8-2xenial) xenial; urgency=high

  * No longer using the TCP protocol in ROS, UDP protocol is used instead
  * Location class defined in the "data_type.h" header is renamed to Base
  * NeighborLocation class defined in the "data_type.h" header is renamed to NeighborBase

 -- Xuefeng Chang <changxuefengcn@163.com>  Mon, 13 Jun 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.7-2xenial) xenial; urgency=high

  * optimize the installation

 -- Xuefeng Chang <changxuefengcn@163.com>  Sun, 29 May 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.6-2xenial) xenial; urgency=high

  * optimize the kernel code
  * change the readme file

 -- Xuefeng Chang <changxuefengcn@163.com>  Mon, 16 May 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.5-2xenial) xenial; urgency=high

  * change the license to BSD
  * perfect the package information
  * optimize the kernel
  * optimize code structure
  * simplify synchronization protocol

 -- Xuefeng Chang <changxuefengcn@163.com>  Thu, 12 May 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.4-2xenial) xenial; urgency=high

  * repair the cmake bug

 -- Xuefeng Chang <changxuefengcn@163.com>  Tue, 10 May 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.3-2xenial) xenial; urgency=high

  * repair the headers bug

 -- Xuefeng Chang <changxuefengcn@163.com>  Tue, 10 May 2016 16:00:00 -0000

ros-kinetic-micros-swarm-framework (0.0.2-2xenial) xenial; urgency=high

  * version 1.0
  * Contributors: xuefengchang

 -- Xuefeng Chang <changxuefengcn@163.com>  Mon, 09 May 2016 16:00:00 -0000
